Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.impl.matchers
Class KeyMatcher<T extends Key<?>>

    java.lang.Object
      org.quartz.impl.matchers.KeyMatcher<T>

All Implemented Interfaces:
  Serializable, Matcher<T>

    public class KeyMatcher<T extends Key<?>>

extends Object
implements Matcher<T>

Matches on the complete key being equal (both name and group).

Author:
  jhouse
See Also:
  Serialized Form

Field Summary
`protected T` | `compareTo`

Constructor Summary
`protected` | `KeyMatcher(T compareTo)`

Method Summary
`boolean` | `equals(Object obj)`
`T` | `getCompareToValue()`
`int` | `hashCode()`
`boolean` | `isMatch(T key)`
`static
`<U extends Key<?>> KeyMatcher<U>`
` | `keyEquals(U compareTo)` Create a KeyMatcher that matches Keys that equal the given key.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### compareTo

    protected T extends Key<?> compareTo

Constructor Detail

### KeyMatcher

    protected KeyMatcher(T compareTo)

Method Detail

### keyEquals

    public static <U extends Key<?>> KeyMatcher<U> keyEquals(U compareTo)

  Create a KeyMatcher that matches Keys that equal the given key.

### isMatch

    public boolean isMatch(T key)

  Specified by:
    `isMatch` in interface `Matcher<T extends Key<?>>`

### getCompareToValue

    public T getCompareToValue()

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Matcher<T extends Key<?>>`
  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `Matcher<T extends Key<?>>`
  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.